## libgsm 1.0.10

=== Makefile ===
# Copyright 1992-1996 by Jutta Degener and Carsten Bormann, Technische
# Universitaet Berlin.  See the accompanying file "COPYRIGHT" for
# details.  THERE IS ABSOLUTELY NO WARRANTY FOR THIS SOFTWARE.

# Machine- or installation dependent flags you should configure to port

SASR	= -DSASR
######### Define SASR if >> is a signed arithmetic shift (-1 >> 1 == -1)

MULHACK = -DUSE_FLOAT_MUL
######### Define this if your host multiplies floats faster than integers,
######### e.g. on a SPARCstation.

FAST	= -DFAST
######### Define together with USE_FLOAT_MUL to enable the GSM library's
######### approximation option for incorrect, but good-enough results.

# LTP_CUT	= -DLTP_CUT
LTP_CUT	=
######### Define to enable the GSM library's long-term correlation 
######### approximation option---faster, but worse; works for
######### both integer and floating point multiplications.
######### This flag is still in the experimental stage.

#WAV49	= -DWAV49
WAV49	=
######### Define to enable the GSM library's option to pack GSM frames 
######### in the style used by the WAV #49 format.  If you want to write
######### a tool that produces .WAV files which contain GSM-encoded data,
######### define this, and read about the GSM_OPT_WAV49 option in the
######### manual page on gsm_option(3).

# Choose a compiler.  The code works both with ANSI and K&R-C.
# Use -DNeedFunctionPrototypes to compile with, -UNeedFunctionPrototypes to
# compile without, function prototypes in the header files.
#
# You can use the -DSTUPID_COMPILER to circumvent some compilers'
# static limits regarding the number of subexpressions in a statement.

# CC		= cc
# CCFLAGS 	= -c -DSTUPID_COMPILER

# CC		= /usr/lang/acc
# CCFLAGS 	= -c -O

CC		= gcc -ansi -pedantic
CCFLAGS 	= -c -O2 -DNeedFunctionPrototypes=1

LD 		= $(CC)

# LD		= gcc
# LDFLAGS 	=


# If your compiler needs additional flags/libraries, regardless of
# the source compiled, configure them here.

# CCINC	= -I/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1/include
######### Includes needed by $(CC)

# LDINC	= -L/usr/gnu/lib/gcc-2.1/gcc-lib/sparc-sun-sunos4.1.2/2.1
######### Library paths needed by $(LD)

# LDLIB	= -lgcc
######### Additional libraries needed by $(LD)


# Where do you want to install libraries, binaries, a header file
# and the manual pages?
#
# Leave INSTALL_ROOT empty (or just don't execute "make install") to
# not install gsm and toast outside of this directory.

INSTALL_ROOT	=

# Where do you want to install the gsm library, header file, and manpages?
#
# Leave GSM_INSTALL_ROOT empty to not install the GSM library outside of
# this directory.

GSM_INSTALL_ROOT = $(INSTALL_ROOT)
GSM_INSTALL_LIB = $(GSM_INSTALL_ROOT)/lib
GSM_INSTALL_INC = $(GSM_INSTALL_ROOT)/inc
GSM_INSTALL_MAN = $(GSM_INSTALL_ROOT)/man/man3


# Where do you want to install the toast binaries and their manpage?
#
# Leave TOAST_INSTALL_ROOT empty to not install the toast binaries outside
# of this directory.

TOAST_INSTALL_ROOT	  = $(INSTALL_ROOT)
TOAST_INSTALL_BIN = $(TOAST_INSTALL_ROOT)/bin
TOAST_INSTALL_MAN = $(TOAST_INSTALL_ROOT)/man/man1

#  Other tools

SHELL		= /bin/sh
LN		= ln
BASENAME 	= basename
AR		= ar
ARFLAGS		= cr
RMFLAGS		=
FIND		= find
COMPRESS 	= compress
COMPRESSFLAGS 	= 
# RANLIB 	= true
RANLIB	 	= ranlib

#
#    You shouldn't have to configure below this line if you're porting.
# 


# Local Directories

ROOT	= .
ADDTST	= $(ROOT)/add-test
TST	= $(ROOT)/tst
MAN	= $(ROOT)/man
BIN	= $(ROOT)/bin
SRC	= $(ROOT)/src
LIB	= $(ROOT)/lib
TLS	= $(ROOT)/tls
INC	= $(ROOT)/inc

# Flags

# DEBUG	= -DNDEBUG
######### Remove -DNDEBUG to enable assertions.

CFLAGS	= $(CCFLAGS) $(SASR) $(DEBUG) $(MULHACK) $(FAST) $(LTP_CUT) \
	$(WAV49) $(CCINC) -I$(INC)
######### It's $(CC) $(CFLAGS)

LFLAGS	= $(LDFLAGS) $(LDINC)
######### It's $(LD) $(LFLAGS)


# Targets

LIBGSM	= $(LIB)/libgsm.a

TOAST	= $(BIN)/toast
UNTOAST	= $(BIN)/untoast
TCAT	= $(BIN)/tcat

# Headers

GSM_HEADERS =	$(INC)/gsm.h

HEADERS	=	$(INC)/proto.h		\
		$(INC)/unproto.h	\
		$(INC)/config.h		\
		$(INC)/private.h	\
		$(INC)/gsm.h		\
		$(INC)/toast.h		\
		$(TLS)/taste.h

# Sources

GSM_SOURCES =	$(SRC)/add.c		\
		$(SRC)/code.c		\
		$(SRC)/debug.c		\
		$(SRC)/decode.c		\
		$(SRC)/long_term.c	\
		$(SRC)/lpc.c		\
		$(SRC)/preprocess.c	\
		$(SRC)/rpe.c		\
		$(SRC)/gsm_destroy.c	\
		$(SRC)/gsm_decode.c	\
		$(SRC)/gsm_encode.c	\
		$(SRC)/gsm_explode.c	\
		$(SRC)/gsm_implode.c	\
		$(SRC)/gsm_create.c	\
		$(SRC)/gsm_print.c	\
		$(SRC)/gsm_option.c	\
		$(SRC)/short_term.c	\
		$(SRC)/table.c

TOAST_SOURCES = $(SRC)/toast.c 		\
		$(SRC)/toast_lin.c	\
		$(SRC)/toast_ulaw.c	\
		$(SRC)/toast_alaw.c	\
		$(SRC)/toast_audio.c

SOURCES	=	$(GSM_SOURCES)		\
		$(TOAST_SOURCES)	\
		$(ADDTST)/add_test.c	\
		$(TLS)/sour.c		\
		$(TLS)/ginger.c		\
		$(TLS)/sour1.dta	\
		$(TLS)/sour2.dta	\
		$(TLS)/bitter.c		\
		$(TLS)/bitter.dta	\
		$(TLS)/taste.c		\
		$(TLS)/sweet.c		\
		$(TST)/cod2lin.c	\
		$(TST)/cod2txt.c	\
		$(TST)/gsm2cod.c	\
		$(TST)/lin2cod.c	\
		$(TST)/lin2txt.c

# Object files

GSM_OBJECTS =	$(SRC)/add.o		\
		$(SRC)/code.o		\
		$(SRC)/debug.o		\
		$(SRC)/decode.o		\
		$(SRC)/long_term.o	\
		$(SRC)/lpc.o		\
		$(SRC)/preprocess.o	\
		$(SRC)/rpe.o		\
		$(SRC)/gsm_destroy.o	\
		$(SRC)/gsm_decode.o	\
		$(SRC)/gsm_encode.o	\
		$(SRC)/gsm_explode.o	\
		$(SRC)/gsm_implode.o	\
		$(SRC)/gsm_create.o	\
		$(SRC)/gsm_print.o	\
		$(SRC)/gsm_option.o	\
		$(SRC)/short_term.o	\
		$(SRC)/table.o

TOAST_OBJECTS =	$(SRC)/toast.o 		\
		$(SRC)/toast_lin.o	\
		$(SRC)/toast_ulaw.o	\
		$(SRC)/toast_alaw.o	\
		$(SRC)/toast_audio.o

OBJECTS =	 $(GSM_OBJECTS) $(TOAST_OBJECTS)

# Manuals

GSM_MANUALS =	$(MAN)/gsm.3		\
		$(MAN)/gsm_explode.3	\
		$(MAN)/gsm_option.3	\
		$(MAN)/gsm_print.3

TOAST_MANUALS =	$(MAN)/toast.1

MANUALS	= 	$(GSM_MANUALS) $(TOAST_MANUALS) $(MAN)/bitter.1

# Other stuff in the distribution

STUFF = 	ChangeLog			\
		INSTALL			\
		MACHINES		\
		MANIFEST		\
		Makefile		\
		README			\
		$(ADDTST)/add_test.dta	\
		$(TLS)/bitter.dta	\
		$(TST)/run


# Install targets

GSM_INSTALL_TARGETS =	\
		$(GSM_INSTALL_LIB)/libgsm.a		\
		$(GSM_INSTALL_INC)/gsm.h		\
		$(GSM_INSTALL_MAN)/gsm.3		\
		$(GSM_INSTALL_MAN)/gsm_explode.3	\
		$(GSM_INSTALL_MAN)/gsm_option.3		\
		$(GSM_INSTALL_MAN)/gsm_print.3

TOAST_INSTALL_TARGETS =	\
		$(TOAST_INSTALL_BIN)/toast		\
		$(TOAST_INSTALL_BIN)/tcat		\
		$(TOAST_INSTALL_BIN)/untoast		\
		$(TOAST_INSTALL_MAN)/toast.1


# Default rules

.c.o:
		$(CC) $(CFLAGS) $?
		@-mv `$(BASENAME) $@` $@ > /dev/null 2>&1

# Target rules

all:		$(LIBGSM) $(TOAST) $(TCAT) $(UNTOAST)
		@-echo $(ROOT): Done.

tst:		$(TST)/lin2cod $(TST)/cod2lin $(TOAST) $(TST)/test-result
		@-echo tst: Done.

addtst:		$(ADDTST)/add $(ADDTST)/add_test.dta
		$(ADDTST)/add < $(ADDTST)/add_test.dta > /dev/null
		@-echo addtst: Done.

misc:		$(TLS)/sweet $(TLS)/bitter $(TLS)/sour $(TLS)/ginger 	\
			$(TST)/lin2txt $(TST)/cod2txt $(TST)/gsm2cod
		@-echo misc: Done.

install:	toastinstall gsminstall
		@-echo install: Done.


# The basic API: libgsm

$(LIBGSM):	$(LIB) $(GSM_OBJECTS)
		-rm $(RMFLAGS) $(LIBGSM)
		$(AR) $(ARFLAGS) $(LIBGSM) $(GSM_OBJECTS)
		$(RANLIB) $(LIBGSM)


# Toast, Untoast and Tcat -- the compress-like frontends to gsm.

$(TOAST):	$(BIN) $(TOAST_OBJECTS) $(LIBGSM)
		$(LD) $(LFLAGS) -o $(TOAST) $(TOAST_OBJECTS) $(LIBGSM) $(LDLIB)

$(UNTOAST):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(UNTOAST)
		$(LN) $(TOAST) $(UNTOAST)

$(TCAT):	$(BIN) $(TOAST)
		-rm $(RMFLAGS) $(TCAT)
		$(LN) $(TOAST) $(TCAT)


# The local bin and lib directories

$(BIN):
		if [ ! -d $(BIN) ] ; then mkdir $(BIN) ; fi

$(LIB):
		if [ ! -d $(LIB) ] ; then mkdir $(LIB) ; fi


# Installation

gsminstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			make $(GSM_INSTALL_TARGETS) ;	\
		fi

toastinstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ]; then	\
			make $(TOAST_INSTALL_TARGETS);	\
		fi

gsmuninstall:
		-if [ x"$(GSM_INSTALL_ROOT)" != x ] ; then	\
			rm $(RMFLAGS) $(GSM_INSTALL_TARGETS) ;	\
		fi

toastuninstall:
		-if [ x"$(TOAST_INSTALL_ROOT)" != x ] ; then 	\
			rm $(RMFLAGS) $(TOAST_INSTALL_TARGETS);	\
		fi

$(TOAST_INSTALL_BIN)/toast:	$(TOAST)
		-rm $@
		cp $(TOAST) $@
		chmod 755 $@

$(TOAST_INSTALL_BIN)/untoast:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_BIN)/tcat:	$(TOAST_INSTALL_BIN)/toast
		-rm $@
		ln $? $@

$(TOAST_INSTALL_MAN)/toast.1:	$(MAN)/toast.1
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm.3:	$(MAN)/gsm.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_option.3:	$(MAN)/gsm_option.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_explode.3:	$(MAN)/gsm_explode.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_MAN)/gsm_print.3:	$(MAN)/gsm_print.3
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_INC)/gsm.h:	$(INC)/gsm.h
		-rm $@
		cp $? $@
		chmod 444 $@

$(GSM_INSTALL_LIB)/libgsm.a:	$(LIBGSM)
		-rm $@
		cp $? $@
		chmod 444 $@


# Distribution

dist:		gsm-1.0.tar.Z
		@echo dist: Done.

gsm-1.0.tar.Z:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
		(	cd $(ROOT)/..;				\
			tar cvf - `cat $(ROOT)/gsm-1.0/MANIFEST	\
				| sed '/^#/d'`			\
		) | $(COMPRESS) $(COMPRESSFLAGS) > $(ROOT)/gsm-1.0.tar.Z

# Clean

uninstall:	toastuninstall gsmuninstall
		@-echo uninstall: Done.

semi-clean:
		-rm $(RMFLAGS)  */*.o			\
			$(TST)/lin2cod $(TST)/lin2txt	\
			$(TST)/cod2lin $(TST)/cod2txt	\
			$(TST)/gsm2cod 			\
			$(TST)/*.*.*
		-$(FIND) . \( -name core -o -name foo \) \
			-print | xargs rm $(RMFLAGS)

clean:	semi-clean
		-rm $(RMFLAGS) $(LIBGSM) $(ADDTST)/add		\
			$(TOAST) $(TCAT) $(UNTOAST)	\
			$(ROOT)/gsm-1.0.tar.Z


# Two tools that helped me generate gsm_encode.c and gsm_decode.c,
# but aren't generally needed to port this.

$(TLS)/sweet:	$(TLS)/sweet.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/sweet \
			$(TLS)/sweet.o $(TLS)/taste.o $(LDLIB)

$(TLS)/bitter:	$(TLS)/bitter.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/bitter \
			$(TLS)/bitter.o $(TLS)/taste.o $(LDLIB)

# A version of the same family that Jeff Chilton used to implement
# the WAV #49 GSM format.

$(TLS)/ginger:	$(TLS)/ginger.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/ginger \
			$(TLS)/ginger.o $(TLS)/taste.o $(LDLIB)

$(TLS)/sour:	$(TLS)/sour.o $(TLS)/taste.o
		$(LD) $(LFLAGS) -o $(TLS)/sour \
			$(TLS)/sour.o $(TLS)/taste.o $(LDLIB)

# Run $(ADDTST)/add < $(ADDTST)/add_test.dta to make sure the
# basic arithmetic functions work as intended.

$(ADDTST)/add:	$(ADDTST)/add_test.o
		$(LD) $(LFLAGS) -o $(ADDTST)/add $(ADDTST)/add_test.o $(LDLIB)


# Various conversion programs between linear, text, .gsm and the code
# format used by the tests we ran (.cod).  We paid for the test data,
# so I guess we can't just provide them with this package.  Still,
# if you happen to have them lying around, here's the code.
# 
# You can use gsm2cod | cod2txt independently to look at what's
# coded inside the compressed frames, although this shouldn't be
# hard to roll on your own using the gsm_print() function from
# the API.


$(TST)/test-result:	$(TST)/lin2cod $(TST)/cod2lin $(TOAST) $(TST)/run
			( cd $(TST); ./run ) 

$(TST)/lin2txt:		$(TST)/lin2txt.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/lin2txt \
				$(TST)/lin2txt.o $(LIBGSM) $(LDLIB)

$(TST)/lin2cod:		$(TST)/lin2cod.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/lin2cod \
				$(TST)/lin2cod.o $(LIBGSM) $(LDLIB)

$(TST)/gsm2cod:		$(TST)/gsm2cod.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/gsm2cod \
				$(TST)/gsm2cod.o $(LIBGSM) $(LDLIB)

$(TST)/cod2txt:		$(TST)/cod2txt.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/cod2txt \
				$(TST)/cod2txt.o $(LIBGSM) $(LDLIB)

$(TST)/cod2lin:		$(TST)/cod2lin.o $(LIBGSM)
			$(LD) $(LFLAGS) -o $(TST)/cod2lin \
				$(TST)/cod2lin.o $(LIBGSM) $(LDLIB)

## libgsm 1.0.13

=== debian/changelog ===
libgsm (1.0.13-4build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:32:07 +0000

libgsm (1.0.13-4) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Note: patch 04 was updated with "quilt refresh" to make
    it apply cleanly. (Closes: #664389)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

  [ Jochen Friedrich ]
  * Convert lib to multiarch.

 -- Jochen Friedrich <jochen@scram.de>  Thu, 12 Apr 2012 17:34:56 +0200

libgsm (1.0.13-3) unstable; urgency=low

  * Fix cut and paste error in long description (Closes: #544896)

 -- Jochen Friedrich <jochen@scram.de>  Mon, 19 Oct 2009 16:25:39 +0200

libgsm (1.0.13-2) unstable; urgency=low

  * Fix long descriptions (Closes: #544896)
  * Fix lintain warnings:
   o Add README.source pointing to dpatch documentation
   o Add patch to fix man pages

 -- Jochen Friedrich <jochen@scram.de>  Tue, 13 Oct 2009 19:18:45 +0200

libgsm (1.0.13-1) unstable; urgency=low

  * New upstream version
   o clarify license (Closes: #397047)
  * Enable fixed-point on armel too. Thanks to Martin Guy 
    <martinwguy@gmail.com> for the patch (Closes: #540522)
  * Bumped policy version to 3.8.3
  * Add cross-building support. Thanks to Neil Williams <codehelp@debian.org>
    for the patch (Closes: #465222)
  * Add debug package
  * Change watch file to new location (Closes: #449626)

 -- Jochen Friedrich <jochen@scram.de>  Tue, 18 Aug 2009 17:57:31 +0200

libgsm (1.0.12-1) unstable; urgency=low

  * New upstream release
   o change in the WAV#49 portion of gsm_implode.c

 -- Jochen Friedrich <jochen@scram.de>  Mon, 12 Nov 2007 19:11:43 +0100

libgsm (1.0.10-14) unstable; urgency=low

  * Change build system to debhelper and dpatch (Closes: #437371)
  * Bumped policy version to 3.7.2
  * Rename config.h to gsm_config.h (Closes: #428989)

 -- Jochen Friedrich <jochen@scram.de>  Fri, 02 Nov 2007 17:12:06 +0100

libgsm (1.0.10-13) unstable; urgency=low

  * Fixed desciption synopsis
  * Removed /usr/doc link from postinst and prerm
  * Changed shlibs[.local] to not include the Debian revision
  * Added watch file
  * Added own doc directory for libgsm-tools

 -- Jochen Friedrich <jochen@scram.de>  Sat, 31 Jul 2004 10:08:59 +0200

libgsm (1.0.10-12) unstable; urgency=low

  * New maintainer (Closes: #227785)
  * Bumped policy version to 3.6.1 (no changes)
  * Ack NMUs from Marcin Owsiany <porridge@debian.org>
    (Closes: #148765, #99540, #166400, #178147, #171770)
  * Cleaned up compiler warnings on 64 bit platforms (Closes: #226561)
  * Changed errno handling again to avoid breaking on multithreaded
    applications. Hurd should also be happy now (Closes: #164191, #164194)
  * Add C++ guard to gsm.h (Closes: #202712)
    Thanks to Anand Kumria <wildfire@progsoc.org> for the patch.
  * Renamed libgsm-bin to libgsm-utils and moved to sound as suggested
    by Santiago Garcia Mantinan <manty@debian.org> (Closes: #109741)

 -- Jochen Friedrich <jochen@scram.de>  Sun, 25 Jan 2004 09:44:07 +0100

libgsm (1.0.10-11.2) unstable; urgency=low

  * Install both gsm.h in /usr/include/ to retain upstream compatibility AND
    all the other header files in /usr/include/gsm/ in case some program uses
    them. Thanks to Alex Romosan for pointing such program out. Closes: #178147

 -- Marcin Owsiany <porridge@debian.org>  Mon, 27 Jan 2003 17:45:41 +0100

libgsm (1.0.10-11.1) unstable; urgency=low

  * Install only the required gsm.h header in /usr/include/ instead of bunch
    of files in /usr/include/gsm/ (libgsm1-dev). Closes: #166400.
  * Install needed symlinks to section 3 manpages. Closes: #99540.
  * Don't define USE_FLOAT_MUL on arm. Closes: #148765.

 -- Marcin Owsiany <porridge@debian.org>  Thu,  7 Nov 2002 22:01:29 +0100

libgsm (1.0.10-11) unstable; urgency=low

  * Compile it with -DWAV49. Closes: #102387.
  * Cleaning here and there to make lintian happy.
  * Fixed some bashisms on debian/rules.
  * Removed some redundant files from the doc directory.
  * NMU to remove the dust that covered it.

 -- Santiago Garcia Mantinan <manty@debian.org>  Wed, 22 Aug 2001 15:10:43 +0200

libgsm (1.0.10-10) unstable; urgency=low

  * Update copyright information.
  * Update to Standards Version 3.0.1.
  * Add mime type for gsm audio. (Closes: #36861)

 -- Martin Mitchell <martin@debian.org>  Sun, 29 Aug 1999 00:00:58 +1000

libgsm (1.0.10-9) unstable; urgency=low

  * Ignore errors on chown in makefile to fix powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 03:28:19 +1000

libgsm (1.0.10-8) unstable; urgency=low

  * Add -f flag to chown in rules file to work around chown symlink problem.

 -- Martin Mitchell <martin@debian.org>  Sun, 13 Sep 1998 02:53:01 +1000

libgsm (1.0.10-7) unstable; urgency=low

  * Change section from devel to libs.
  * Call ldconfig in postinst.
  * Source changes for powerpc compilation.

 -- Martin Mitchell <martin@debian.org>  Wed,  9 Sep 1998 03:47:16 +1000

libgsm (1.0.10-6) frozen unstable; urgency=high

  * Fix package overlap between bo and hamm version of this library. (#22454)
  * Update to Standards Version 2.4.1.

 -- Martin Mitchell <martin@debian.org>  Wed, 20 May 1998 06:02:22 +1000

libgsm (1.0.10-5) unstable; urgency=low

  * Rename doc directory to libgsm1, fixing 'no copyright' bug. (#19356)
  * Add symlinks for doc directories for dev and bin packages.
  * Fix symlink to shlib to be after the shlib in the package.

 -- Martin Mitchell <martin@debian.org>  Fri, 13 Mar 1998 00:17:43 +1100

libgsm (1.0.10-4) unstable; urgency=low

  * Add libgsm1 package dependencies. fixes: (#15374)

 -- Martin Mitchell <martin@debian.org>  Sat, 29 Nov 1997 03:13:07 +1100

libgsm (1.0.10-3) unstable; urgency=low

  * New maintainer.
  * Libc6 release.
  * Renamed -dev package to include library version.



=== debian/control ===
Source: libgsm
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9)

Package: libgsm1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgsm-dev
Multi-Arch: same
Description: Shared libraries for GSM speech compressor
 This package contains runtime shared libraries for libgsm, an
 implementation of the European GSM 06.10 provisional standard for
 full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
 (residual pulse excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libgsm1 (= ${binary:Version}), ${misc:Depends}
Description: Shared libraries for GSM speech compressor (debug symbols)
 This package contains debug symbols for libgsm, an implementation
 of the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dev
Section: libdevel
Architecture: any
Depends: libgsm1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgsm1 (<= 1.0.10-2), libgsm-dev
Replaces: libgsm-dev
Multi-Arch: same
Description: Development libraries for a GSM speech compressor
 This package contains header files and development libraries for
 libgsm, an implementation of the European GSM 06.10 provisional
 standard for full-rate speech transcoding, prI-ETS 300 036, which
 uses RPE/LTP (residual pulse excitation/long term prediction) coding
 at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm-tools
Replaces: libgsm-bin
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User binaries for a GSM speech compressor
 This package contains user binaries for libgsm, an implementation of
 the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, our implementation turns frames of 160
 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable 
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

=== debian/rules ===
#! /usr/bin/make -f


.PHONY: build clean binary binary-indep binary-arch

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

ifneq (,$(filter arm%,$(DEB_HOST_ARCH)))
MULTYPE=''
else
MULTYPE='-DUSE_FLOAT_MUL'
endif

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) $(CROSS) CCFLAGS='-c -g -O2 -fPIC -Wall -D_GNU_SOURCE -D_REENTRANT -DNeedFunctionPrototypes=1 -DWAV49' MULHACK=$(MULTYPE) all
	touch build-stamp

clean:
	dh_testdir
	$(MAKE) clean
	rm -f lib/*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH) debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) $(CROSS) INSTALL_ROOT=debian/tmp/usr GSM_INSTALL_INC=debian/libgsm1-dev/usr/include/gsm GSM_INSTALL_MAN=debian/libgsm1-dev/usr/share/man/man3 TOAST_INSTALL_MAN=debian/libgsm-tools/usr/share/man/man1 install
	ln -s gsm/gsm.h debian/libgsm1-dev/usr/include/gsm.h
	cp inc/*.h debian/libgsm1-dev/usr/include/gsm
	mv lib/*so debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*a debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	ln -s toast.1 debian/libgsm-tools/usr/share/man/man1/tcat.1
	ln -s toast.1 debian/libgsm-tools/usr/share/man/man1/untoast.1
	ln -s gsm.3 debian/libgsm1-dev/usr/share/man/man3/gsm_create.3
	ln -s gsm.3 debian/libgsm1-dev/usr/share/man/man3/gsm_destroy.3
	ln -s gsm.3 debian/libgsm1-dev/usr/share/man/man3/gsm_decode.3
	ln -s gsm.3 debian/libgsm1-dev/usr/share/man/man3/gsm_encode.3
	ln -s gsm_explode.3 debian/libgsm1-dev/usr/share/man/man3/gsm_implode.3

	dh_install

binary:	binary-indep binary-arch

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmime
	dh_installdocs -plibgsm1 -plibgsm-tools
	dh_installchangelogs -plibgsm1 -plibgsm-tools -A ChangeLog
	ln -sf libgsm1 debian/libgsm1-dev/usr/share/doc/libgsm1-dev
	ln -sf libgsm1 debian/libgsm1-dbg/usr/share/doc/libgsm1-dbg
	dh_strip --dbg-package=libgsm1-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

## libgsm 1.0.18

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,11 @@
 SASR	= -DSASR
 ######### Define SASR if >> is a signed arithmetic shift (-1 >> 1 == -1)
 
-MULHACK = -DUSE_FLOAT_MUL
+# MULHACK = -DUSE_FLOAT_MUL
 ######### Define this if your host multiplies floats faster than integers,
 ######### e.g. on a SPARCstation.
 
-FAST	= -DFAST
+# FAST	= -DFAST
 ######### Define together with USE_FLOAT_MUL to enable the GSM library's
 ######### approximation option for incorrect, but good-enough results.
 
@@ -22,8 +22,8 @@
 ######### both integer and floating point multiplications.
 ######### This flag is still in the experimental stage.
 
-#WAV49	= -DWAV49
-WAV49	=
+WAV49	= -DWAV49
+# WAV49	=
 ######### Define to enable the GSM library's option to pack GSM frames 
 ######### in the style used by the WAV #49 format.  If you want to write
 ######### a tool that produces .WAV files which contain GSM-encoded data,
@@ -44,7 +44,7 @@
 # CCFLAGS 	= -c -O
 
 CC		= gcc -ansi -pedantic
-CCFLAGS 	= -c -O2 -DNeedFunctionPrototypes=1
+CCFLAGS 	= -c -O2 -DNeedFunctionPrototypes=1 -Wall -Wno-comment
 
 LD 		= $(CC)

=== debian/changelog ===
libgsm (1.0.18-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Fix "unhandled symlink to directory conversion:
    /usr/share/doc/PACKAGE":
    add libgsm1-dev.maintscript for the symlink_to_dir transition.
    (Closes: #919438)

 -- Felix Lechner <felix.lechner@lease-up.com>  Sun, 31 Mar 2019 19:13:42 -0700

libgsm (1.0.18-1) unstable; urgency=medium

  * New upstream version
  * New maintainer (Closes: #891760)
  * Only ship gsm.h, but with an extra link (Closes: #882176)
  * Migrated rules to dh(1)
  * Dropped 03_config.patch as suggested in #882176
  * Updated patches (most of 05 was accepted upstream)
  * Bumped shared object version in 01 patch
  * Made copyright file dep5 machine readable
  * Added README.Debian about (non-)patent status
  * Updated upstream URL in watch file
  * Turned on migration to automatic debug packages
  * Removed old debug package from control
  * Removed libgsm1-dbg.install
  * Added homepage field to control
  * Removed trailing whitespace from changelog
  * Removed trailing whitespace from control
  * Removed ancient Conflicts: from control
  * Corrected two misspellings in man via 06 patch
  * Removed duplicate binary control field for section
  * Set Build-Depends: debhelper (>= 11)
  * Set compat to 12
  * Updated Standards-Version: 4.3.0

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 31 Dec 2018 15:28:12 -0800

=== debian/control ===
Source: libgsm
Section: libs
Priority: optional
Maintainer: Felix Lechner <felix.lechner@lease-up.com>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12)
Homepage: http://www.quut.com/gsm/

Package: libgsm1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgsm-dev
Multi-Arch: same
Description: Shared libraries for GSM speech compressor
 This package contains runtime shared libraries for libgsm, an
 implementation of the European GSM 06.10 provisional standard for
 full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
 (residual pulse excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, this implementation turns frames of
 160 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm1-dev
Section: libdevel
Architecture: any
Depends: libgsm1 (= ${binary:Version}), ${misc:Depends}
Replaces: libgsm-dev
Multi-Arch: same
Description: Development libraries for a GSM speech compressor
 This package contains header files and development libraries for
 libgsm, an implementation of the European GSM 06.10 provisional
 standard for full-rate speech transcoding, prI-ETS 300 036, which
 uses RPE/LTP (residual pulse excitation/long term prediction) coding
 at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, this implementation turns frames of
 160 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

Package: libgsm-tools
Replaces: libgsm-bin
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User binaries for a GSM speech compressor
 This package contains user binaries for libgsm, an implementation of
 the European GSM 06.10 provisional standard for full-rate speech
 transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
 excitation/long term prediction) coding at 13 kbit/s.
 .
 GSM 06.10 compresses frames of 160 13-bit samples (8 kHz sampling
 rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
 with typical UNIX applications, this implementation turns frames of
 160 16-bit linear samples into 33-byte frames (1650 Bytes/s).
 The quality of the algorithm is good enough for reliable speaker
 recognition; even music often survives transcoding in recognizable
 form (given the bandwidth limitations of 8 kHz sampling rate).
 .
 The interfaces offered are a front end modelled after compress(1), and
 a library API.  Compression and decompression run faster than realtime
 on most SPARCstations.  The implementation has been verified against the
 ETSI standard test patterns.

=== debian/rules ===
#! /usr/bin/make -f

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
CROSS=
endif

ifneq (,$(filter arm%,$(DEB_HOST_ARCH)))
MULTYPE=''
else
MULTYPE='-DUSE_FLOAT_MUL'
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
#LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,now

CCFLAGS = -c $(CPPFLAGS) $(CFLAGS) -fPIC -Wall -D_GNU_SOURCE -D_REENTRANT -DNeedFunctionPrototypes=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(CROSS) "CCFLAGS=$(CCFLAGS)" "LDFLAGS=$(LDFLAGS)" MULHACK=$(MULTYPE) all

override_dh_install:
	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH) debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	$(MAKE) $(CROSS) "LDFLAGS=$(LDFLAGS)" INSTALL_ROOT=debian/tmp/usr GSM_INSTALL_INC=debian/libgsm1-dev/usr/include/gsm GSM_INSTALL_MAN=debian/libgsm1-dev/usr/share/man/man3 TOAST_INSTALL_MAN=debian/libgsm-tools/usr/share/man/man1 install
	mv lib/*so debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*a debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install

override_dh_strip:
	dh_strip --dbgsym-migration='libgsm1-dbg (<< 1.0.18-1~)'

override_dh_auto_clean:
	$(MAKE) clean
	rm -f lib/*
	dh_clean

=== debian/watch ===
version=3
http://www.quut.com/gsm/ gsm-([\d+\.]*\d+).tar.gz

## libgsm 1.0.19

=== Makefile ===
--- 
+++ 
@@ -102,7 +102,7 @@
 ARFLAGS		= cr
 RMFLAGS		=
 FIND		= find
-COMPRESS 	= compress
+COMPRESS 	= gzip
 COMPRESSFLAGS 	= 
 # RANLIB 	= true
 RANLIB	 	= ranlib
@@ -401,14 +401,14 @@
 
 # Distribution
 
-dist:		gsm-1.0.tar.Z
+dist:		gsm-1.0.tar.gz
 		@echo dist: Done.
 
-gsm-1.0.tar.Z:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
+gsm-1.0.tar.gz:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
 		(	cd $(ROOT)/..;				\
 			tar cvf - `cat $(ROOT)/gsm-1.0/MANIFEST	\
 				| sed '/^#/d'`			\
-		) | $(COMPRESS) $(COMPRESSFLAGS) > $(ROOT)/gsm-1.0.tar.Z
+		) | $(COMPRESS) $(COMPRESSFLAGS) > $(ROOT)/gsm-1.0.tar.gz
 
 # Clean

=== debian/changelog ===
libgsm (1.0.19-1) unstable; urgency=medium

  * New upstream release. Thanks to Florian Ernst for the notification!
    (Closes: #1004544)
  * Drop debian/patches/02_cplusplus.patch, which also provided the sole new
    feature in this release. Both added a C++ guard to gsm.h. (See: #202712)
  * Bump patchlevel to 19 in d/patches/01_makefile.patch.
  * Refresh remaining patches.
  * Mark remaining patches as having been forwarded to upstream.
  * Do not run 'make install'; install from build location instead.
  * Drop quotes from placeholder in mailcap entry.
  * Complete debug symbol migration for libgsm1-dbg (<< 1.0.18-1~).
  * Bump Debhelper level to 13.
  * Use debbhelper-compat instead of d/compat.
  * Add "Rules-Requires-Root: no" in d/control.
  * Bump Standards-Version to 4.6.0.
  * Bump d/watch file standard to 4.
  * Provide a d/upstream/metadata file with basic information.
  * Update Debian copyright.

 -- Felix Lechner <felix.lechner@lease-up.com>  Mon, 31 Jan 2022 10:02:12 -0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: libs
 Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 12)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13)
 Homepage: http://www.quut.com/gsm/
 
 Package: libgsm1

=== debian/watch ===
version=4
http://www.quut.com/gsm/ gsm-([\d+\.]*\d+).tar.gz

## libgsm 1.0.22

=== debian/changelog ===
libgsm (1.0.22-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Sep 2022 23:54:15 +0200

libgsm (1.0.19-3) unstable; urgency=medium

  * adopt package (Closes: #1009975)
  * debian/control: move maintenance to the mobcom team
  * debian/control: bump Standards-Version to 4.6.1
  * debian/control: use VCS URLs from the mobcom team
  * Thanks to Marriott NZ <marriott99@gmx.com> for the report about the
    quotes in the mailcap entry. This was already fixed in 1.0.19-1.
    (Closes: #987404)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Jul 2022 22:03:02 +0200

libgsm (1.0.19-2) unstable; urgency=medium

  * Orphan.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 08:09:00 -0700

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: libgsm
 Section: libs
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
-Standards-Version: 4.6.0
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13)
 Homepage: http://www.quut.com/gsm/
+Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libgsm
+Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libgsm.git
 
 Package: libgsm1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -29,15 +29,19 @@
 	$(MAKE) $(CROSS) "CCFLAGS=$(CCFLAGS)" "LDFLAGS=$(LDFLAGS)" MULHACK=$(MULTYPE) all
 
 override_dh_install:
-	mkdir -p debian/tmp/usr/lib debian/tmp/usr/bin debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH) debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
-	$(MAKE) $(CROSS) "LDFLAGS=$(LDFLAGS)" INSTALL_ROOT=debian/tmp/usr GSM_INSTALL_INC=debian/libgsm1-dev/usr/include/gsm GSM_INSTALL_MAN=debian/libgsm1-dev/usr/share/man/man3 TOAST_INSTALL_MAN=debian/libgsm-tools/usr/share/man/man1 install
+	install --directory --mode 755 debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
+
+	install --directory --mode 755 debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv lib/*so debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv lib/*a debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
+
+	#mkdir -p debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH) debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
+	#mv lib/*so debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+	#mv lib/*a debian/libgsm1-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+	#mv lib/*so.* debian/libgsm1/usr/lib/$(DEB_HOST_MULTIARCH)
+
 	dh_install
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='libgsm1-dbg (<< 1.0.18-1~)'
 
 override_dh_auto_clean:
 	$(MAKE) clean

## libgsm 1.0.23

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 BASENAME 	= basename
 AR		= ar
 ARFLAGS		= cr
-RMFLAGS		=
+RMFLAGS		= -f
 FIND		= find
 COMPRESS 	= gzip
 COMPRESSFLAGS 	= 
@@ -351,50 +351,50 @@
 		fi
 
 $(TOAST_INSTALL_BIN)/toast:	$(TOAST)
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $(TOAST) $@
 		chmod 755 $@
 
 $(TOAST_INSTALL_BIN)/untoast:	$(TOAST_INSTALL_BIN)/toast
-		-rm $@
-		ln $? $@
+		-rm $(RMFLAGS) $@
+		$(LN) $? $@
 
 $(TOAST_INSTALL_BIN)/tcat:	$(TOAST_INSTALL_BIN)/toast
-		-rm $@
-		ln $? $@
+		-rm $(RMFLAGS) $@
+		$(LN) $? $@
 
 $(TOAST_INSTALL_MAN)/toast.1:	$(MAN)/toast.1
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_MAN)/gsm.3:	$(MAN)/gsm.3
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_MAN)/gsm_option.3:	$(MAN)/gsm_option.3
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_MAN)/gsm_explode.3:	$(MAN)/gsm_explode.3
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_MAN)/gsm_print.3:	$(MAN)/gsm_print.3
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_INC)/gsm.h:	$(INC)/gsm.h
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
 $(GSM_INSTALL_LIB)/libgsm.a:	$(LIBGSM)
-		-rm $@
+		-rm $(RMFLAGS) $@
 		cp $? $@
 		chmod 444 $@
 
@@ -404,7 +404,7 @@
 dist:		gsm-1.0.tar.gz
 		@echo dist: Done.
 
-gsm-1.0.tar.gz:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
+$(ROOT)/gsm-1.0.tar.gz:	$(STUFF) $(SOURCES) $(HEADERS) $(MANUALS)
 		(	cd $(ROOT)/..;				\
 			tar cvf - `cat $(ROOT)/gsm-1.0/MANIFEST	\
 				| sed '/^#/d'`			\
@@ -427,7 +427,7 @@
 clean:	semi-clean
 		-rm $(RMFLAGS) $(LIBGSM) $(ADDTST)/add		\
 			$(TOAST) $(TCAT) $(UNTOAST)	\
-			$(ROOT)/gsm-1.0.tar.Z
+			$(ROOT)/gsm-1.0.tar.gz
 
 
 # Two tools that helped me generate gsm_encode.c and gsm_decode.c,

=== debian/changelog ===
libgsm (1.0.23-2) unstable; urgency=medium

  * silly me forgot quotes (really Closes: #1116696)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Nov 2025 18:55:21 +0100

libgsm (1.0.23-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/source/lintian-overrides on line 2.
  * Use secure URI in Homepage field.
  * Update standards version to 4.6.2, no changes needed.

  [ Thorsten Alteholz ]
  * New upstream release.
  * debian/control: bump Standards-Version to 4.7.2 (no changes)
  * debian/rules: Fix FTCBFS: Include -ansi in overridden CC.
                  (Thanks to Helmut Grohne for the patch)
                  (Closes: #1116696)
  * removed patch 05_compiler_warnings.patch as it was applied upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Nov 2025 23:55:21 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13)
-Homepage: http://www.quut.com/gsm/
+Homepage: https://www.quut.com/gsm/
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libgsm
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libgsm.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+CROSS=CC="$(DEB_HOST_GNU_TYPE)-gcc -ansi"
 else
 CROSS=
 endif

=== debian/watch ===
version=4
http://www.quut.com/gsm/ gsm-([\d+\.]*\d+).tar.gz debian uupdate
